#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdesdk-kio
Epoch:          1
Version: 25.07.80
Release:        %mkrel %{rel}
Summary:        K Desktop Environment - Software Development Kit
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://www.kde.org/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)

Provides:       kdesdk-kioslaves = %{epoch}:%{version}-%{release}


%description
Software Development Kit for the K Desktop Environment.

%files -f %name.lang
%_kf6_plugindir/kio/perldoc.so
%_kf6_datadir/kio_perldoc

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 1:25.07.80-1.mga10
+ Revision: 2253973
- New version 25.07.80

* Thu Jun 05 2025 daviddavid <daviddavid> 1:25.04.2-1.mga10
+ Revision: 2188414
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 1:25.04.0-1.mga10
+ Revision: 2175991
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 1:25.03.90-1.mga10
+ Revision: 2170768
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 1:24.12.3-1.mga10
+ Revision: 2163471
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 1:24.12.2-1.mga10
+ Revision: 2147139
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 1:24.12.1-1.mga10
+ Revision: 2136540
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 1:24.12.0-1.mga10
+ Revision: 2123780
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 1:24.11.80-1.mga10
+ Revision: 2116337
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 1:24.08.3-1.mga10
+ Revision: 2114025
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 1:24.08.2-1.mga10
+ Revision: 2105528
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 1:24.08.1-1.mga10
+ Revision: 2097383
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 1:24.08.0-1.mga10
+ Revision: 2087586
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2085083
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073190
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2071633
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058590
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045135
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037633
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2033760
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 1:24.01.85-1.mga10
+ Revision: 2025112
- New version 24.01.85

* Mon Nov 20 2023 neoclust <neoclust> 1:24.01.75-1.mga10
+ Revision: 2008347
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989585
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958162
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946474
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941767
- New version 22.12.2

* Sun Dec 25 2022 daviddavid <daviddavid> 1:22.12.0-2.mga9
+ Revision: 1926838
- rebuild to remove replaced kdesdk-kioslaves

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922887
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911382
- New version 22.11.90

* Sun Nov 13 2022 daviddavid <daviddavid> 1:22.08.3-1.mga9
+ Revision: 1906925
- New version 22.08.3
- obsoletes/provides previous kdesdk-kioslaves
- update Source Url
- renamed upstream as kdesdk-kio
+ neoclust <neoclust>
- New version 22.08.1
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873050
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853943
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849449
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 1:21.12.0-2.mga9
+ Revision: 1846056
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763832
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724042
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718329
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698526
- New version 20.12.3

* Mon Mar 01 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1695057
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655588
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1643974
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633789
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627032
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614900
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604098
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596831
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584481
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568112
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559301
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540283
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513271
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466920
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457875
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446385
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1424970
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390425
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387629
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382268
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375569
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365544
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356483
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339492
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332723
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327377
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298496
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1228942
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201873
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194895
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186433
- New version 17.12.0

* Thu Aug 24 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1144698
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136756
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 1:17.04.3-2.mga7
+ Revision: 1133550
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Tue Jul 25 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1130396
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090052
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076788
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072000
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067319
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061377
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050644
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047283
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040044
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012530
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004320
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 996256
- Remove merged patch
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991169
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987438
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922607
- New version 15.12.1

* Sat Dec 26 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 915042
- Disable Svn kioslave
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905475
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901024
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880861
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 866292
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 1:15.07.80-1.mga6
+ Revision: 859162
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800587
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787673
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 748285
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734535
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681005
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667472
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662984
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656662
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653848
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651953
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636722
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625489
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615562
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609382
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606823
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603330
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600667
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590450
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589257
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554982
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551250
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540391
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490830
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476907
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465304
- Update tarball to KDE SC 4.11.0
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458896
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455286
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448021
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kdesdk-kioslaves
+ lmenut <lmenut>
- Add missing conflicts

